English French German Spanish Russian
[READ ME] Linux FAQ and tutoriels - Mutual GNU / Linux - Ryzom Community ForumHomeGuest

Mutual GNU / Linux


[READ ME] Linux FAQ and tutoriels

I have been attempting to make a working build for 2 days now, and am at a complete loss for what else to try.

I have successfully compiled the client about 10 different ways and tried the branches develop, compatibility, compat-dev. and default all with the same results. I can login and select my character, the loading sequence goes for a short ways and then the client crashes.

Some details on the error are:
A fatal error occurs. The program must quit
ProcName: <Unknown>
File: /ryzom-ryzomcore-5c9146c667c1/code/nel/src/gui/interface_parser.c pp
Line: 587
FuncName: parseXMLDocument
Reason: could not parse 'lua'
-------------------------------
User Crash Callback:
-------------------------------
HomeId: 101
ShardId: 101
On a Mainland Shard
Application: ryzom_live
No user entity information
ViewPosition: 0.00 0.00 0.00
LocalTime: 2015/08/02 21:49:56
ServerTick: 1021771984
ConnectState: Connected
Language: English
ClientVersion: ryzomcore/v0.12.0-dev
PatchVersion: 610
Client is online
NumServerHOP: 0
NumFarTP: 0
NumReselectPerso: 0
Connection Events:
Memory: 13GB/15GB
Process Virtual Memory: 0B
OS: Linux version 3.16.0-4-amd64 (debian-kernel@lists.debian.org) (gcc version 4.8.4 (Debian 4.8.4-1) ) #1 SMP Debian 3.16.7-ckt11-1+deb8u2 (2015-07-17)
Processor: AMD FX(tm)-8350 Eight-Core Processor / ? Family 21 Model 2 Stepping 0 / AuthenticAMD / 1400.000MHz / 3 Processors found
CPUID: 0
HT: NO
CpuMask: ff
NeL3D: OpenGL / X.Org / Gallium 0.4 on AMD OLAND / 3.0 Mesa 10.3.2
No sound


In compiling I found that the luabind library requires lua5.2, so I explicitly selected that version of lua from the 2 versions that are installed on my system. Not making that selection had the same results.

No combination of static or dynamic linking choices about lua and luabind have made a difference. I took to manually editing the link.txt file to control the static/dynamic linkage of each system library.

I have had to build curl, libxml2, and openal from source code in order to get them to behave properly.

Can anyone suggest anything else to try? Do I have to build my own lua and luabind; or maybe the error has nothing to do with lua?!
Show topic
Last visit Mon Sep 16 04:11:08 2019 UTC
P_:

powered by ryzom-api